org.wildfly.swarm.config.management

## Class NativeInterfaceManagementInterface<T extends NativeInterfaceManagementInterface<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.management.NativeInterfaceManagementInterface<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class NativeInterfaceManagementInterface<T extends NativeInterfaceManagementInterface<T>>
      extends HashMap

  Configuration of the server's native management interface
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NativeInterfaceManagementInterface()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `saslProtocol()` The name of the protocol to be passed to the SASL mechanisms used for authentication.
    `T` | `saslProtocol(String value)` The name of the protocol to be passed to the SASL mechanisms used for authentication.
    `String` | `securityRealm()` The security realm to use for the native management interface.
    `T` | `securityRealm(String value)` The security realm to use for the native management interface.
    `String` | `serverName()` The name of the server used in the initial Remoting exchange and within the SASL mechanisms.
    `T` | `serverName(String value)` The name of the server used in the initial Remoting exchange and within the SASL mechanisms.
    `String` | `socketBinding()` The name of the socket binding configuration to use for the native management interface's socket.
    `T` | `socketBinding(String value)` The name of the socket binding configuration to use for the native management interface's socket.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### NativeInterfaceManagementInterface

          public NativeInterfaceManagementInterface()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### saslProtocol

          public String saslProtocol()

      The name of the protocol to be passed to the SASL mechanisms used for authentication.

    - #### saslProtocol

          public T saslProtocol(String value)

      The name of the protocol to be passed to the SASL mechanisms used for authentication.

    - #### securityRealm

          public String securityRealm()

      The security realm to use for the native management interface.

    - #### securityRealm

          public T securityRealm(String value)

      The security realm to use for the native management interface.

    - #### serverName

          public String serverName()

      The name of the server used in the initial Remoting exchange and within the SASL mechanisms.

    - #### serverName

          public T serverName(String value)

      The name of the server used in the initial Remoting exchange and within the SASL mechanisms.

    - #### socketBinding

          public String socketBinding()

      The name of the socket binding configuration to use for the native management interface's socket.

    - #### socketBinding

          public T socketBinding(String value)

      The name of the socket binding configuration to use for the native management interface's socket.

Copyright © 2018 JBoss by Red Hat. All rights reserved.